html {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  margin: 0;
  height: 100%;
  font-family: "Montserrat", sans-serif;
  color: white;
  background: rgb(73, 43, 200);
  background: linear-gradient(
    318deg,
    rgba(73, 43, 200, 1) 37%,
    rgba(52, 138, 201, 1) 66%,
    rgba(35, 181, 177, 1) 94%
  );
  background-repeat: no-repeat;
  background-attachment: fixed;
}

main {
  width: 40%;
  margin: 0 auto;
  margin-top: 50px;
}

h1,
h2 {
  font-family: "Noto Sans", sans-serif;
  text-align: center;
}

h3 {
  font-family: "Montserrat", sans-serif;
  text-align: center;
}

a {
  text-decoration: none;
  color: white;
}

.image-container {
  display: flex;
  justify-content: center;
}

.profile {
  border-radius: 50%;
  height: 120px;
  width: 120px;
  object-fit: cover;
}

.link-container {
  display: flex;
  flex-direction: column;
  margin-top: 30px;
  width: 100%;
}

.link {
  display: flex;
  border: 1px solid white;
  border-radius: 12px;
  box-shadow: 0 0 0.2rem #fff, 0 0 0.2rem #fff, 0 0 0.1rem #ffffff,
    0 0 0.4rem #6c7aff;
  margin: 0 auto;
  margin-bottom: 20px;
  width: 100%;
  padding: 2px 20px;
}

.link:hover {
  transition: all 0.5s ease;
  background: rgba(255, 255, 255, 0.9);
  color: #492bc9;
}

.link:hover img {
  filter: brightness(0) saturate(100%) invert(23%) sepia(97%) saturate(6317%)
    hue-rotate(252deg) brightness(80%) contrast(96%);
}

.link p {
  margin-right: auto;
}

.link img {
  margin-right: auto;
}

footer {
  margin-top: 25px;
  margin-bottom: 25px;
  display: flex;
  justify-content: center;
}

footer img {
  transition: all 0.3s ease 0s;
  margin-left: 20px;
}
footer img:hover {
  transform: translateY(-5px);
}

/* ANIMATION */

.pulse {
  animation: ease-in-out;
  animation-iteration-count: 1;
  animation-duration: 1s;
  animation-direction: alternate;
  animation-name: pulse;
}

@keyframes pulse {
  0% {
    transform: scale(0.8);
  }
  50% {
    transform: scale(0.9);
  }
  100% {
    transform: scale(1);
  }
}

.animate {
  animation-duration: 0.5s;
  animation-name: animate-fade;
  animation-delay: 0.5s;
  animation-fill-mode: backwards;
}

@keyframes animate-fade {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.animate.pop {
  animation-name: animate-pop;
  animation-timing-function: cubic-bezier(0.26, 0.53, 0.74, 1.48);
}

@keyframes animate-pop {
  0% {
    opacity: 0;
    transform: scale(0.5, 0.5);
  }

  100% {
    opacity: 1;
    transform: scale(1, 1);
  }
}
.link-container a:nth-child(1) {
  animation-delay: 0.6s;
}

.link-container a:nth-child(2) {
  animation-delay: 0.7s;
}
.link-container a:nth-child(3) {
  animation-delay: 0.8s;
}

.link-container a:nth-child(4) {
  animation-delay: 0.9s;
}

.link-container a:nth-child(5) {
  animation-delay: 1s;
}

.link-container a:nth-child(6) {
  animation-delay: 1.1s;
}

.link-container a:nth-child(7) {
  animation-delay: 1.2s;
}

@media screen and (max-width: 1024px) {
  main {
    width: 90%;
    margin: 0 auto;
    margin-top: 50px;
  }
  footer img {
    margin-left: 15px;
  }
}
